ONVIF::Media::Types::EAPMethodConfiguration(3pm)

NAME
ONVIF::Media::Types::EAPMethodConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType EAPMethodConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TLSConfiguration

•   Password

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::EAPMethodConfiguration
   TLSConfiguration =>  { # ONVIF::Media::Types::TLSConfiguration
     CertificateID =>  $some_value, # token
   },
   Password =>  $some_value, # string
   Extension =>  { # ONVIF::Media::Types::EapMethodExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL